
// EditPriceDlg.cpp : implementation file
//---------------------------------------
#include "stdafx.h"
#include "PCAcceptor.h"
#include "EditPriceDlg.h"
#include "Identifier.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

// CEditPriceDlg dialog
//---------------------

CEditPriceDlg::CEditPriceDlg(CWnd* pParent)	: CDialog(CEditPriceDlg::IDD, pParent)
//================================================================================
{
	//{{AFX_DATA_INIT(CEditPriceDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}

void CEditPriceDlg::DoDataExchange(CDataExchange* pDX)
//====================================================
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CEditPriceDlg)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CEditPriceDlg, CDialog)
	//{{AFX_MSG_MAP(CEditPriceDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

// CEditPriceDlg message handlers
//-------------------------------

BOOL CEditPriceDlg::OnInitDialog() 
//================================
{
	DWORD dwIndex;
	DWORD dwPrice;
	CString strText;
	CWinApp* pApp=AfxGetApp();
	CDialog::OnInitDialog();
	for (dwIndex=0; dwIndex<10; dwIndex++)
	{
		strText.Format(_T("Price_%02u"),dwIndex);
		dwPrice=pApp->GetProfileInt(REG_PRICES,strText,100);
		strText.Format(_T("%u.%02u"),dwPrice/100,dwPrice%100);
		SetDlgItemText(IDC_PRICE_0+dwIndex,strText);
	}
	return TRUE;
}

void CEditPriceDlg::OnOK() 
//========================
{
	DWORD dwIndex;
	DWORD dwPrice;
	DWORD dwDollars;
	DWORD dwCents;
	CString strText;
	CWinApp* pApp=AfxGetApp();
	for (dwIndex=0; dwIndex<10; dwIndex++)
	{
		GetDlgItemText(IDC_PRICE_0+dwIndex,strText);
		sscanf(strText,_T("%u.%u"),&dwDollars,&dwCents);
		dwPrice=(dwDollars*100)+dwCents;
		strText.Format(_T("Price_%02u"),dwIndex);
		pApp->WriteProfileInt(REG_PRICES,strText,dwPrice);
	}
	CDialog::OnOK();
}
