
// 
// Copyright (C)2003..2004 by BonusData AG, 
// Tiergartenweg 1, CH-4710 Balsthal, Switzerland.
// -----------------------------------------------
// Phone:	+41 62 3919600 
// Fax:		+41 62 3919601
// E-Mail:  team@bonusdata.net
// WEB:		http://www.bonusdata.net
//------------------------------------------------ 

// Implementation of swap utilities
//---------------------------------
#include "stdafx.h"

#define NAKED __declspec (naked)

NAKED DWORD _fastcall SwapDWORD(DWORD dwValue)
//============================================
{
	_asm 
	{
		MOV		EAX,ECX				; Argument passed in ECX
		SHR		EAX,16				; Bit 16-31 in AX (0-15 in CX)
		XCHG	AH,AL				; Swap LOWORD (EAX is retval)
		XCHG	CH,CL				; Swap HIWORD
		SHL		ECX,16				; Bit 0-15 to HIWORD
		OR		EAX,ECX				; Insert bit 16-31 as LOWORD
		RET							; Explicit RET beceause NAKED
	}
}

DWORD _fastcall SwapDWORD(DWORD* pValue)
//======================================
{
	return *pValue=SwapDWORD(*pValue); // Use C for this one
}

NAKED WORD _fastcall SwapWORD(WORD wValue)
//========================================
{
	_asm 
	{
		XCHG	CH,CL				; Argument passed in CX
		MOVZX	EAX,CX				; Swap Zero-extend (EAX is retval)
		RET							; Explicit RET beceause NAKED
	}
}

NAKED WORD _fastcall SwapWORD(WORD* pValue)
//=========================================
{
	_asm 
	{
		MOV		EAX,[ECX]			; Argument passed in ECX, get source
		XCHG	AH,AL				; Argument passed in CX
		MOVZX	EAX,AX				; Swap Zero-extend (EAX is retval)
		MOV		[ECX],AX			; Replace target (care on WORD!)
		RET							; Explicit RET beceause NAKED
	}
}
