
// SetupDlg.cpp : implementation file
//-----------------------------------
#include "stdafx.h"
#include "PCAcceptor.h"
#include "SetupDlg.h"
#include "PCAcceptorDlg.h"
#include "Swap.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

// CSetupDlg dialog
//-----------------

CSetupDlg::CSetupDlg(CWnd* pParent)	: CDialog(CSetupDlg::IDD, pParent)
//====================================================================
{
	//{{AFX_DATA_INIT(CSetupDlg)
	m_strCountryCode = _T("");
	m_strDecimalPlaces = _T("");
	m_strFeatureLevel = _T("");
	m_strScalingFactor = _T("");
	m_strCoinTypeCredit01 = _T("");
	m_strCoinTypeCredit02 = _T("");
	m_strCoinTypeCredit03 = _T("");
	m_strCoinTypeCredit04 = _T("");
	m_strCoinTypeCredit05 = _T("");
	m_strCoinTypeCredit06 = _T("");
	m_strCoinTypeCredit07 = _T("");
	m_strCoinTypeCredit08 = _T("");
	m_strCoinTypeCredit09 = _T("");
	m_strCoinTypeCredit10 = _T("");
	m_strCoinTypeCredit11 = _T("");
	m_strCoinTypeCredit12 = _T("");
	m_strCoinTypeCredit13 = _T("");
	m_strCoinTypeCredit14 = _T("");
	m_strCoinTypeCredit15 = _T("");
	m_strCoinTypeCredit16 = _T("");
	//}}AFX_DATA_INIT
}

void CSetupDlg::DoDataExchange(CDataExchange* pDX)
//================================================
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CSetupDlg)
	DDX_Text(pDX, IDC_COUNTRY_CODE, m_strCountryCode);
	DDX_Text(pDX, IDC_DECIMAL_PLACES, m_strDecimalPlaces);
	DDX_Text(pDX, IDC_FEATURE_LEVEL, m_strFeatureLevel);
	DDX_Text(pDX, IDC_SCALING_FACTOR, m_strScalingFactor);
	DDX_Text(pDX, IDC_COIN_TYPE_CREDIT_1, m_strCoinTypeCredit01);
	DDX_Text(pDX, IDC_COIN_TYPE_CREDIT_2, m_strCoinTypeCredit02);
	DDX_Text(pDX, IDC_COIN_TYPE_CREDIT_3, m_strCoinTypeCredit03);
	DDX_Text(pDX, IDC_COIN_TYPE_CREDIT_4, m_strCoinTypeCredit04);
	DDX_Text(pDX, IDC_COIN_TYPE_CREDIT_5, m_strCoinTypeCredit05);
	DDX_Text(pDX, IDC_COIN_TYPE_CREDIT_6, m_strCoinTypeCredit06);
	DDX_Text(pDX, IDC_COIN_TYPE_CREDIT_7, m_strCoinTypeCredit07);
	DDX_Text(pDX, IDC_COIN_TYPE_CREDIT_8, m_strCoinTypeCredit08);
	DDX_Text(pDX, IDC_COIN_TYPE_CREDIT_9, m_strCoinTypeCredit09);
	DDX_Text(pDX, IDC_COIN_TYPE_CREDIT_10, m_strCoinTypeCredit10);
	DDX_Text(pDX, IDC_COIN_TYPE_CREDIT_11, m_strCoinTypeCredit11);
	DDX_Text(pDX, IDC_COIN_TYPE_CREDIT_12, m_strCoinTypeCredit12);
	DDX_Text(pDX, IDC_COIN_TYPE_CREDIT_13, m_strCoinTypeCredit13);
	DDX_Text(pDX, IDC_COIN_TYPE_CREDIT_14, m_strCoinTypeCredit14);
	DDX_Text(pDX, IDC_COIN_TYPE_CREDIT_15, m_strCoinTypeCredit15);
	DDX_Text(pDX, IDC_COIN_TYPE_CREDIT_16, m_strCoinTypeCredit16);
	//}}AFX_DATA_MAP
}

void CSetupDlg::WordToBCD(WORD wValue, char* pstrBCD)
//===================================================
{
	sprintf(pstrBCD,_T("%u%u%u%u"),((BYTE)(wValue>>12))&0x0F,((BYTE)(wValue>>8))&0x0F,((BYTE)(wValue>>4))&0x0F,((BYTE)wValue)&0x0F);
}

void CSetupDlg::FormatCoinType(DWORD dwIndex, CString& strText)
//=============================================================
{
	DWORD dwValue;
	CPCAcceptorDlg* pParent=(CPCAcceptorDlg*)GetParent();
	ACCEPTOR_STATUS* pAcceptorStatus=pParent->GetStatus();
	dwValue=pAcceptorStatus->CoinTypeCredit[dwIndex]*pAcceptorStatus->ScalingFactor;
	strText.Format(_T("%u"),dwValue);
	if ((SwapWORD(pAcceptorStatus->CoinTypeRouting)&1<<dwIndex)!=0)
	{
		strText+=_T(" -> Routng to Tube");
	}
}

BEGIN_MESSAGE_MAP(CSetupDlg, CDialog)
	//{{AFX_MSG_MAP(CSetupDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

// CSetupDlg message handlers
//---------------------------

BOOL CSetupDlg::OnInitDialog() 
//============================
{
	CDialog::OnInitDialog();
	CPCAcceptorDlg* pParent=(CPCAcceptorDlg*)GetParent();
	ACCEPTOR_STATUS* pAcceptorStatus=pParent->GetStatus();
	m_strFeatureLevel.Format(_T("%u"),pAcceptorStatus->FeatureLevel);
	WordToBCD(SwapWORD(pAcceptorStatus->CurrencyCode),m_strCountryCode.GetBuffer(16));
	m_strCountryCode.ReleaseBuffer();
	m_strScalingFactor.Format(_T("%u"),pAcceptorStatus->ScalingFactor);
	m_strDecimalPlaces.Format(_T("%u"),pAcceptorStatus->DecimalPlaces);
	FormatCoinType(0,m_strCoinTypeCredit01);
	FormatCoinType(1,m_strCoinTypeCredit02);
	FormatCoinType(2,m_strCoinTypeCredit03);
	FormatCoinType(3,m_strCoinTypeCredit04);
	FormatCoinType(4,m_strCoinTypeCredit05);
	FormatCoinType(5,m_strCoinTypeCredit06);
	FormatCoinType(6,m_strCoinTypeCredit07);
	FormatCoinType(7,m_strCoinTypeCredit08);
	FormatCoinType(8,m_strCoinTypeCredit09);
	FormatCoinType(9,m_strCoinTypeCredit10);
	FormatCoinType(10,m_strCoinTypeCredit11);
	FormatCoinType(11,m_strCoinTypeCredit12);
	FormatCoinType(12,m_strCoinTypeCredit13);
	FormatCoinType(13,m_strCoinTypeCredit14);
	FormatCoinType(14,m_strCoinTypeCredit15);
	FormatCoinType(15,m_strCoinTypeCredit16);
	UpdateData(false);
	return TRUE;
}
